package utils

import "time"

func Time2StampSecond() int64 {
	t := time.Now()
	millisecond := t.UnixNano() / 1e6
	return millisecond / 1000
}

func Str2FormatDateTime(dateStr, format string, location *time.Location) time.Time {
	if location == nil {
		location = time.Local
	}
	parsedTime, err := time.ParseInLocation(format, dateStr, location)
	if err != nil {
		return time.Time{}
	}
	return parsedTime
}
